#ifndef PLAYER_H
#define PLAYER_H

#include "object.h"

class Player
{
    public:
        Player(const char* mesh_path,const char *texture_path);
        ~Player();
        int Play(ICameraSceneNode* camera,ISceneNode *objective);
	vector3df GetPosition();
        int GetDistanceFromObjective(ISceneNode *objective);
    private:
        Object *obj;
        bool is_subjective;
        double speed_y;
        bool no_jump;
        ICursorControl* cursor;
        double camera_angle_x;
        double window_size_x;
        double window_size_y;
        double mouse_rotation_speed;
        double keys_rotation_speed;
	bool is_distance_status_3D;
};    

#endif /*PLAYER_H*/

