/*********************************************************
soundbank.h
manage sounds, using Audiere
This file is part of the IRRSIMPLE project
made by phrounz 
Require : system, Audiere library
*********************************************************/
#ifndef SOUNDBANK_H
#define SOUNDBANK_H

//init soundbank structure
//you must execute this function before using another function of this file
void soundbank_init(int argc, char* argv[]);

//load sound
void soundbank_loadSound(const char *pathname);

//play sound. The id of a sound is defined by order of loading (first sound id = 0)
void soundbank_playSound(int id);

//test if the sound is loaded
bool soundbank_isPlayingSound(int id);

//show all loaded sounds in the console
void soundbank_showConsole(void);

//free all
void soundbank_freeAll(void);

//set mute
void soundbank_setMute(bool);

#endif /*SOUNDBANK_H*/
