#ifndef UTIL_H
#define UTIL_H

#include <irrlicht.h>
#include <wchar.h>

using namespace irr;
using namespace core;
using namespace scene;
using namespace video;
using namespace io;
using namespace gui;
//using namespace std;

extern IrrlichtDevice *device;
extern video::IVideoDriver* driver;
extern scene::ISceneManager* smgr;
extern gui::IGUIEnvironment* env;

extern bool keys[KEY_KEY_CODES_COUNT];
extern bool mouseLeft;
extern bool mouseRight;
extern bool mouseMiddle;
extern f32 mouseWheel;

void util_Init(IEventReceiver *receiver,int window_size_x_,int window_size_y_,
    bool is_fullscreen_,int display_bits_,video::E_DRIVER_TYPE driver_type_);

void util_InitNullDevice(void);
void util_DropDevice(void);

void util_PrintError(const char *text);
void util_PrintCriticalError(const char *text);
double util_Random(void);
void util_CalcFPS();
int util_GetFPS(void);
bool util_WaitForReturnKey(core::stringw title);
void util_QuitApplication();
const char *util_TestExistFile(const char *file_path);
int util_GetWindowSizeX(void);
int util_GetWindowSizeY(void);
video::E_DRIVER_TYPE util_GetDriverType(int num);
int util_GetDriverNum(video::E_DRIVER_TYPE type);
bool util_IsKeyPressed(void);
void util_Fade(video::SColor color,int time);
double util_GetDistance(vector3df pos1,vector3df pos2);
int util_GetTimerTime(void);

#endif /*UTIL_H*/

